Name:          jacl
Version:       1.4.1
Release:       1%{?dist}
Summary:       Java Tcl integration
License:       BSD
Url:           http://tcljava.sourceforge.net/
Source0:       http://prdownloads.sourceforge.net/tcljava/%{name}%{version}.tar.gz
Source1:       %{name}-template.pom
Source2:       tcljava-template.pom
BuildRequires: java-devel
BuildRequires: javapackages-tools
Requires:      javapackages-tools
BuildArch:     noarch

%description
Tcl/Java consists of two pieces of software.
Jacl is an implementation of a Tcl interpreter
written entirely in Java. Tcl Blend is a Tcl extension
that provides access to Java from inside Tcl.
One can prototype Java code using Tcl, and
much more.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}%{version}
# Cleanup
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

cp -p %{SOURCE1} %{name}.pom
cp -p %{SOURCE2} tcljava.pom
sed -i "s|@VERSION@|%{version}|" %{name}.pom tcljava.pom

sed -i "s|mkdir $(TCLJAVA_BUILD_DIR)|mkdir -p $(TCLJAVA_BUILD_DIR)|" Makefile.in

# Disable janino
rm -r src/janino
sed -i "s|tjc janino|tjc|" Makefile.in
sed -i "s|tjcsrc.jar janinosrc.jar|tjcsrc.jar|" Makefile.in
sed -i "s|tjc.install janino.install|tjc.install|" Makefile.in
sed -i "s|tjc.uninstall janino.uninstall|tjc.uninstall|" Makefile.in

# TODO
#rm -r src/jacl/sunlabs/brazil/util/regexp/*
#sed -i '/sunlabs/d' Makefile.in
#sed -i "s|tcl/lang/*.java \\\|tcl/lang/*.java|" Makefile.in

iconv --from-code=ISO-8859-2 --to-code=UTF-8 license.amd > license.amd.utf8
mv -f license.amd.utf8 license.amd
sed -i 's/\r//' license.amd

mkdir -p build/dist

%build

# Re-generate compiler tool
pushd src/empty
 sed -i 's/\r//' empty.sh
 sh empty.sh
popd

pushd build
../configure \
  --prefix=$(pwd)/dist \
  --with-jdk=%java_home
# no support cross compiling
make

popd
# NOTE that the step that runs the tests takes about 60 minutes
rm -rf src/tests src/janino
javadoc -d apidocs  \
  -classpath $(pwd)/build/jacl.jar:$(pwd)/build/tcljava.jar \
  -encoding UTF-8 \
  `find src -name '*.java'`

%install

mkdir -p %{buildroot}%{_javadir}/%{name}
install -m 644 build/itcl.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 build/jacl.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 build/tcljava.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 build/tjc.jar \
  %{buildroot}%{_javadir}/%{name}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{name}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

install -pm 644 tcljava.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-tcljava.pom
%add_maven_depmap JPP.%{name}-tcljava.pom %{name}/tcljava.jar

# Required only by runtime scripts (non installables ... missing deps e.g. custom janino)
%if 0
install -m 644 build/itclsrc.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 build/jaclsrc.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 build/janinosrc.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 build/tcljavasrc.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 build/tjcsrc.jar \
  %{buildroot}%{_javadir}/%{name}/
%endif

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/itcl.jar
%{_javadir}/%{name}/jacl.jar
%{_javadir}/%{name}/tcljava.jar
%{_javadir}/%{name}/tjc.jar
%if 0
%{_javadir}/%{name}/itclsrc.jar
%{_javadir}/%{name}/jaclsrc.jar
%{_javadir}/%{name}/tcljavasrc.jar
%{_javadir}/%{name}/tjcsrc.jar
%endif
%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%{_mavenpomdir}/JPP.%{name}-tcljava.pom
%{_mavendepmapfragdir}/%{name}
%doc changes.txt ChangeLog diffs.txt 
%doc known_issues.txt license.* README

%files javadoc
%{_javadocdir}/%{name}
%doc license.*

%changelog
* Thu Feb 27 2014 gil cattaneo <puntogil@libero.it> 1.4.1-1
- initial rpm